<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>pluss-parent</artifactId>
        <groupId>cn.pluss.platform</groupId>
        <version>1.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>pluss-api-page</artifactId>
    <packaging>jar</packaging>

    <properties>
        <docker.image.prefix>syb</docker.image.prefix>
        <log4j.version>2.5</log4j.version>
    </properties>

    <dependencies>
        <!-- https://mvnrepository.com/artifact/com.alipay.sdk/alipay-sdk-java -->
        <dependency>
            <groupId>com.alipay.sdk</groupId>
            <artifactId>alipay-sdk-java</artifactId>
            <version>4.7.1.ALL</version>
            <exclusions>
                <exclusion>
                    <groupId>com.alibaba</groupId>
                    <artifactId>fastjson</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
            <version>4.5.13</version>
        </dependency>

        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpmime</artifactId>
            <version>4.5.13</version>
        </dependency>

        <dependency>
            <groupId>cn.pluss.platform</groupId>
            <artifactId>pluss-common-bundle</artifactId>
            <version>1.0.0</version>
        </dependency>

        <dependency>
            <groupId>cn.pluss.platform</groupId>
            <artifactId>pluss-service-bundle</artifactId>
            <version>1.0.0</version>
        </dependency>

        <!--腾讯云  -->
        <dependency>
            <groupId>com.github.tencentyun</groupId>
            <artifactId>tls-sig-api</artifactId>
            <version>1.2</version>
        </dependency>

        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.8.5</version>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.12</version>
            <scope>test</scope>
        </dependency>

        <!-- 第三方推送消息 -->
        <dependency>
            <groupId>cn.jpush.api</groupId>
            <artifactId>jpush-client</artifactId>
            <version>3.4.6</version>
        </dependency>


        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpcore</artifactId>
            <version>4.4.14</version>
        </dependency>

        <dependency>
            <groupId>com.hannesdorfmann</groupId>
            <artifactId>httpkit</artifactId>
            <version>1.5.6</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>com.github.xiaoymin</groupId>
            <artifactId>swagger-bootstrap-ui</artifactId>
            <version>1.9.6</version>
        </dependency>

        <!--jsp支持 start -->

        <!-- html 支持 -->
        <!--<dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-thymeleaf</artifactId>
             </dependency>-->

    </dependencies>

    <build>
        <finalName>czg</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>1.4.2.RELEASE</version>
                <!--这里写上main方法所在类的路径-->
                <configuration>
                    <mainClass>cn.pluss.platform.ApiApplication</mainClass>
                    <outputDirectory>./</outputDirectory>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
<!--            <plugin>-->
<!--                <groupId>cn.smallbun.screw</groupId>-->
<!--                <artifactId>screw-maven-plugin</artifactId>-->
<!--                <version>1.0.3</version>-->
<!--                <dependencies>-->
<!--                    &lt;!&ndash; HikariCP &ndash;&gt;-->
<!--                    <dependency>-->
<!--                        <groupId>com.zaxxer</groupId>-->
<!--                        <artifactId>HikariCP</artifactId>-->
<!--                        <version>3.4.5</version>-->
<!--                    </dependency>-->
<!--                    &lt;!&ndash;mysql driver&ndash;&gt;-->
<!--                    <dependency>-->
<!--                        <groupId>mysql</groupId>-->
<!--                        <artifactId>mysql-connector-java</artifactId>-->
<!--                        <version>8.0.20</version>-->
<!--                    </dependency>-->
<!--                </dependencies>-->
<!--                <configuration>-->
<!--                    &lt;!&ndash;username&ndash;&gt;-->
<!--                    <username>root</username>-->
<!--                    &lt;!&ndash;password&ndash;&gt;-->
<!--                    <password></password>-->
<!--                    &lt;!&ndash;driver&ndash;&gt;-->
<!--                    <driverClassName>com.mysql.cj.jdbc.Driver</driverClassName>-->
<!--                    <jdbcUrl>jdbc:mysql://localhost:3306/shouyinbei?useUnicode=truecharacterEncoding=utf-8&amp;useSSL=false&amp;serverTimezone=GMT%2B8</jdbcUrl>-->
<!--                    &lt;!&ndash;生成文件类型&ndash;&gt;-->
<!--                    <fileType>HTML</fileType>-->
<!--                    &lt;!&ndash;打开文件输出目录&ndash;&gt;-->
<!--                    <openOutputDir>true</openOutputDir>-->
<!--                    &lt;!&ndash;生成模板&ndash;&gt;-->
<!--                    <produceType>freemarker</produceType>-->
<!--                    &lt;!&ndash;文档名称 为空时:将采用[数据库名称-描述-版本号]作为文档名称&ndash;&gt;-->
<!--                    &lt;!&ndash;                    <docName>测试文档名称</docName>&ndash;&gt;-->
<!--                    &lt;!&ndash;描述&ndash;&gt;-->
<!--                    <description>数据库文档生成</description>-->
<!--                    &lt;!&ndash;版本&ndash;&gt;-->
<!--                    <version>${project.version}</version>-->
<!--                    &lt;!&ndash;标题&ndash;&gt;-->
<!--                    <title>fire数据库文档</title>-->
<!--                </configuration>-->
<!--                <executions>-->
<!--                    <execution>-->
<!--                        <phase>compile</phase>-->
<!--                        <goals>-->
<!--                            <goal>run</goal>-->
<!--                        </goals>-->
<!--                    </execution>-->
<!--                </executions>-->
<!--            </plugin>-->
        </plugins>
    </build>
</project>